com.google.cloud.dataflow.sdk.runners.inprocess

## Class NanosOffsetClock

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.inprocess.NanosOffsetClock

All Implemented Interfaces:
  Clock

    public class NanosOffsetClock
    extends Object
    implements Clock

A `Clock` that uses `System.nanoTime()` to track the progress of time.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NanosOffsetClock` `create()`
`Instant` `now()` Returns the current time as an `Instant`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static NanosOffsetClock create()

#### now

    public Instant now()

Description copied from interface: `Clock`
Returns the current time as an `Instant`.

Specified by:
  `now` in interface `Clock`